Bug 181625 - ICE internal compiler error: in extract_insn, at recog.c:2084
Summary: ICE internal compiler error: in extract_insn, at recog.c:2084
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: gcc   
(Show other bugs)
Version: rawhide
Hardware: powerpc
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-02-15 16:11 UTC by Orion Poplawski
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version: 4.1.0-0.29
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-20 18:05:59 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
gcc debug output (504.67 KB, text/plain)
2006-02-15 18:17 UTC, Orion Poplawski
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
GNU Compiler Collection 26350 None None None Never

Description Orion Poplawski 2006-02-15 16:11:54 UTC
Description of problem:
While trying to rebuild HDF5 for FE devel on ppc:

dtypes.c: In function 'test_conv_flt_1':
dtypes.c:5966: error: unrecognizable insn:
(insn 2074 2073 517 49 (set (reg:DF 8 8)
        (mem/u/c/i:DF (symbol_ref/u:SI ("*.LC514") [flags 0x2]) [0 S8 A64])) -1
(nil)
    (nil))
dtypes.c:5966: internal compiler error: in extract_insn, at recog.c:2084

This is a regression.  It previously compiled fine on Dec 22.

Version-Release number of selected component (if applicable):
4.1.0-0.25

Comment 1 Jakub Jelinek 2006-02-15 17:28:51 UTC
The compiler was supposed to generate preprocessed source with options in /tmp/
and tell you the filename, can you attach it here?
Alternatively, preprocess yourself and mention the exact gcc options used to
compile it.

Comment 2 Orion Poplawski 2006-02-15 18:17:13 UTC
Created attachment 124700 [details]
gcc debug output

Comment 3 Jakub Jelinek 2006-02-20 18:05:59 UTC
Should be fixed in gcc-4.1.0-0.29.


Note You need to log in before you can comment on or make changes to this bug.